<?php

namespace Aldi\EPA\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TabelMTransformer extends TransformerAbstract
{
    public function transform(\Aldi\EPA\Models\TabelM $tabel_m)
    {
        return [
            'id'                => $tabel_m->getRouteKey(),
            'key'               => [
                'public'    => $tabel_m->getPublicKey(),
                'route'     => $tabel_m->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('e_p_a/'.$tabel_m->getPublicKey()),
                'user'      => guard_url('e_p_a/tabel_m/'.$tabel_m->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tabel_m->status),
            'created_at'        => format_date($tabel_m->created_at),
            'updated_at'        => format_date($tabel_m->updated_at),
        ];
    }
}